MODULE gckpp_Model

!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
!  Completely defines the model gckpp
!    by using all the associated modules
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  USE gckpp_Precision
  USE gckpp_Parameters
  USE gckpp_Global
  USE gckpp_Function
  USE gckpp_Integrator
  USE gckpp_Rates
  USE gckpp_Jacobian
  USE gckpp_LinearAlgebra
  USE gckpp_Monitor
  USE gckpp_Util

END MODULE gckpp_Model

